#### The iOS SDK supports the customization of colors, buttons and strings used in the SDK flow.

- [Localization](#localization)
- [Custom Organization Details](#custom-organization-details)
- [UI customization](#ui-customization)

## Localization

The MyID iOS SDK supports translations for the following languages

- Uzbek      (uz) 🇺🇿
- English    (en) 🇬🇧
- Russian    (ru) 🇷🇺

By default, the Uzbek language is used. However, you can also change options `config.locale = MyIdLocale.EN` configuration to set the language.

## Custom Organization Details

You can customize the SDK, for it to match your organization's brand book, by providing `MyIdOrganizationDetails` object to `organizationDetails` option.
The object allows you to customize following fields:

- *phoneNumber* - by default 712022202, which is MyID's call center. If you would like the customer to call your own call center, you can display your own phone number on the error screen, by providing it in this field (sample).

- *logo* - UIImage object, that will be displayed on the input screen. If you would like to display your own logo on the top of the screen, this is the place to provide it.

## UI customization

```Swift
let appearance = Appearance()
appearance.primaryColor = <DESIRED_UI_COLOR_HERE>
appearance.errorColor = <DESIRED_UI_COLOR_HERE>
appearance.primaryButtonColor = <DESIRED_UI_COLOR_HERE>
appearance.primaryButtonColorDisabled = <DESIRED_UI_COLOR_HERE>
appearance.primaryButtonTextColor = <DESIRED_UI_COLOR_HERE>
appearance.primaryButtonTextColorDisabled = <DESIRED_UI_COLOR_HERE>
appearance.buttonCornerRadius = <DESIRED_CGFLOAT_BORDER_RADIUS_HERE>
```

* `primaryColor`: Defines the color of SDK which guides the user through the flow

* `errorColor`: Defines the color of the error buttons, icons and states

* `primaryButtonColor`: Defines the background color of the primary action buttons

* `primaryButtonColorDisabled`: Defines the background color of the primary disabled buttons

* `primaryButtonTextColor`: Defines the color of the text inside the primary action buttons

* `primaryButtonTextColorDisabled`: Defines the color of the text inside the primary disabled buttons

* `buttonCornerRadius`: Defines the radius dimension of all the corners of primary buttons

#

![Screenshot](images/frame_1.jpg)
![Screenshot](images/frame_2.jpg)
![Screenshot](images/frame_3.jpg)
![Screenshot](images/frame_4.jpg)
